Name:           viking
Version:        0.9.92
Release:        1%{?dist}
Summary:        GPS data editor and analyzer

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://viking.sourceforge.net/
Source0:        http://downloads.sourceforge.net/viking/viking-%{version}.tar.gz
Patch0:         viking-0.9.8-gpsdclient.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  intltool
BuildRequires:  expat-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  gpsd-devel
BuildRequires:  gtk2-devel
BuildRequires:  libcurl-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

Requires:       hicolor-icon-theme


%description
Viking is a free/open source program to manage GPS data. You can import
and plot tracks and waypoints, show Google maps and/or Terraserver maps
under it, download geocaches for an area on the map, make new tracks and
waypoints, see real-time GPS position, etc.


%prep
%setup -q
%patch0 -p1
# Convert to utf-8
for file in ChangeLog NEWS TODO; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install                                        \
    --add-category="GTK;Network;"                           \
    --delete-original                                       \
    --dir=%{buildroot}%{_datadir}/applications              \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc doc/G* doc/*.xml doc/dev/C* doc/dev/F* doc/dev/Merge* doc/dev/T*
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png


%changelog
* Wed Mar 17 2010 Fabian Affolter <fabian@bernewireless.net> - 0.9.92-1
- Updated to new upstream version 0.9.92

* Sat Feb 27 2010 Fabian Affolter <fabian@bernewireless.net> - 0.9.91-1
- Updated to new upstream version 0.9.91

* Sun Sep 13 2009 Fabian Affolter <fabian@bernewireless.net> - 0.9.9-1
- Update to new upstream version 0.9.9

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 31 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.8-2
- use new gpsd header (gpsdclient.h)

* Sat Mar 28 2009 Fabian Affolter <fabian@bernewireless.net> - 0.9.8-1
- Update to new upstream version, 0.9.8

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Fabian Affolter <fabian@bernewireless.net> - 0.9.7-2
- Added missing hicolor-icon-theme

* Sat Jan 24 2009 Fabian Affolter <fabian@bernewireless.net> - 0.9.7-1
- Initial package for Fedora
